<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{CC9F0318-6BFE-458C-9C98-84DF9AEF6062}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>BusinessLayer</RootNamespace>
    <AssemblyName>BusinessLayer</AssemblyName>
    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="AutoMapper">
      <HintPath>..\..\EasySalePro\EasySalesPro\bin\AutoMapper.dll</HintPath>
    </Reference>
    <Reference Include="EntityFramework">
      <HintPath>..\DataAccess\bin\Debug\EntityFramework.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Data.Entity" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="AttendanceManager.cs" />
    <Compile Include="BLBase.cs" />
    <Compile Include="CommonManager.cs" />
    <Compile Include="ContactManager.cs" />
    <Compile Include="CustomerManager.cs" />
    <Compile Include="DSRManager.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="ReportManager.cs" />
    <Compile Include="TargetManager.cs" />
    <Compile Include="UserManager.cs" />
    <Compile Include="VisitManager.cs" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\DataAccess\DataAccess.csproj">
      <Project>{884dfb27-0f84-4cb7-925f-b53b260c8d74}</Project>
      <Name>DataAccess</Name>
    </ProjectReference>
    <ProjectReference Include="..\DataTransferObject\DataTransferObject.csproj">
      <Project>{18b1dc34-08c0-4724-8883-c5d1a16549d4}</Project>
      <Name>DataTransferObject</Name>
    </ProjectReference>
    <ProjectReference Include="..\Helper\Helper.csproj">
      <Project>{2b9d038b-2ed9-49ed-ab37-24176b77ccaf}</Project>
      <Name>Helper</Name>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>